## yoga 3.2.1+ds

=== CMakeLists.txt ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.

cmake_minimum_required(VERSION 3.13...3.26)
project(yoga-all)
set(CMAKE_VERBOSE_MAKEFILE on)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/project-defaults.cmake)

add_subdirectory(yoga)
add_subdirectory(tests)

option(BUILD_FUZZ_TESTS "Build fuzz tests" OFF)

if ('${CMAKE_CXX_COMPILER_ID}' MATCHES 'Clang' AND  BUILD_FUZZ_TESTS)
    add_subdirectory(fuzz)
endif()

# cmake install config
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

# declare target to install
install(TARGETS yogacore EXPORT yoga-targets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# install header files
install(DIRECTORY
    "${CMAKE_CURRENT_LIST_DIR}/yoga"
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    FILES_MATCHING PATTERN "*.h"
)

# install target config
install(EXPORT yoga-targets
    FILE yogaTargets.cmake
    NAMESPACE yoga::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/yoga
)


# generate config file
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/yoga-config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/yogaConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/yoga
)

# install config file
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/yogaConfig.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/yoga
)

=== tests/CMakeLists.txt ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.


cmake_minimum_required(VERSION 3.13...3.26)
project(tests)
set(CMAKE_VERBOSE_MAKEFILE on)

include(FetchContent)
include(GoogleTest)

set(YOGA_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/..)
include(${YOGA_ROOT}/cmake/project-defaults.cmake)

# Fetch GTest
FetchContent_Declare(
  googletest
  URL https://github.com/google/googletest/archive/refs/tags/release-1.12.1.zip
)
FetchContent_MakeAvailable(googletest)

add_subdirectory(${YOGA_ROOT}/yoga ${CMAKE_CURRENT_BINARY_DIR}/yoga)

file(GLOB SOURCES CONFIGURE_DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/**/*.cpp)

enable_testing()

add_executable(yogatests ${SOURCES})
target_link_libraries(yogatests yogacore GTest::gtest_main)

gtest_discover_tests(yogatests)

=== debian/changelog ===
yoga (3.2.1+ds-2) unstable; urgency=medium

  * debian/control: Mark build-dep googletest as <!nocheck>.
  * debian/control: Mark binary package as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Feb 2026 12:39:25 -0500

yoga (3.2.1+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #1126812)

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Feb 2026 19:32:20 -0500

=== debian/control ===
Source: yoga
Section: libs
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 googletest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/facebook/yoga
Vcs-Git: https://salsa.debian.org/input-method-team/yoga.git
Vcs-Browser: https://salsa.debian.org/input-method-team/yoga
Description: Embeddable and performant flexbox layout engine
 Yoga is an embeddable and performant flexbox layout engine targeting web
 standards, with bindings for multiple languages. Yoga itself is not a UI
 framework, and does not do any drawing itself. Yoga's only responsibility
 is determining the size and position of boxes.

Package: libyoga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for the yoga library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/architecture.mk

%:
	dh $@

execute_after_dh_auto_test:
	# Manually invoke ctest after building
	cd obj-${DEB_HOST_GNU_TYPE} ; ./tests/yogatests

=== debian/watch ===
Version: 5

Template: GitHub
Owner: facebook
Project: yoga
Version-Type: SEMANTIC_VERSION
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
